import java.awt.*;

public class Wall implements PinBallTarget
{
   public Rectangle location;

   public Wall( int x, int y, int width, int height )
   {
      location = new Rectangle( x, y, width, height );
   }
	
   public void moveTo( int x, int y )
   {
      location.setLocation( x, y );
   }

   public void paint( Graphics g )
   {
      g.setColor( Color.black );
      g.fillRect( location.x, location.y, location.width, location.height );
   }

   public boolean intersects( PinBall aBall )
   {
      return location.intersects( aBall.region() );
   }
	
   public void hitBy( PinBall aBall )
   {
      if ( (aBall.y() < location.y) ||
           (aBall.y() > (location.y + location.height)) )
         aBall.setMotion( aBall.xMotion(), -aBall.yMotion() );
      else
         aBall.setMotion( -aBall.xMotion(), aBall.yMotion() );
   }
}
